Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.mvc.servlet
Class ServletMvcViewFactory

    java.lang.Object
      org.springframework.webflow.mvc.view.AbstractMvcViewFactory
          org.springframework.webflow.mvc.servlet.ServletMvcViewFactory

All Implemented Interfaces:
  ViewFactory

    public class ServletMvcViewFactory

extends AbstractMvcViewFactory

Creates Servlet MVC views.

Author:
  Keith Donald

Constructor Summary
`ServletMvcViewFactory(Expression viewId, FlowViewResolver viewResolver, ExpressionParser expressionParser, ConversionService conversionService, BinderConfiguration binderConfiguration, org.springframework.validation.MessageCodesResolver messageCodesResolver)` Creates a new servlet-based MVC view factory.

Method Summary
`protected AbstractMvcView` | `createMvcView(org.springframework.web.servlet.View view, RequestContext context)` Abstract factory method subclasses should implement to return the concrete MVC view implementation.

Methods inherited from class org.springframework.webflow.mvc.view.AbstractMvcViewFactory
`getView, setEventIdParameterName, setFieldMarkerPrefix, setValidator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletMvcViewFactory

    public ServletMvcViewFactory(Expression viewId,
                                 FlowViewResolver viewResolver,
                                 ExpressionParser expressionParser,
                                 ConversionService conversionService,
                                 BinderConfiguration binderConfiguration,
                                 org.springframework.validation.MessageCodesResolver messageCodesResolver)

  Creates a new servlet-based MVC view factory.

  Parameters:
    `viewId` - the id of the view as an expression
    `viewResolver` - the resolver to resolve the View implementation
    `expressionParser` - the expression parser
    `conversionService` - the conversion service
    `binderConfiguration` - the model binding configuration

Method Detail

### createMvcView

    protected AbstractMvcView createMvcView(org.springframework.web.servlet.View view,
                                            RequestContext context)

  Description copied from class: `AbstractMvcViewFactory`
  Abstract factory method subclasses should implement to return the concrete MVC view implementation.

  Specified by:
    `createMvcView` in class `AbstractMvcViewFactory`
  Parameters:
    `view` - the actual resolved view implementation
    `context` - the current request context
  Returns:
    the mvc view

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD